package org.kne.cloud.network.minecraft;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

import org.kne.io.VarDataInputStream;
import org.kne.io.VarDataOutputStream;

public abstract class MinecraftPacket {
	public static final int HANDSHAKE_MOTD=0x00;
	public static final int PING_PONG=0x01;
	private int type;
	private boolean solved;
	public int getType() {
		return type;
	}
	 
public boolean isSolved() {
		return solved;
	}

@Override
	public String toString() {
		return "MinecraftPacket [type=" + type + "]";
	}

public MinecraftPacket(boolean solved) {
	super();
	this.solved = solved;
}

public MinecraftPacket(int type) {
		super();
		this.type = type;
	}

protected void writeToStream(VarDataOutputStream dto) throws IOException {
		
	}
	protected void readFromStream(VarDataInputStream din) throws IOException {
		
	}
	
}
